<?php

namespace App\Modules\HtlTypeRoomBed\Application\Create;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class CreateHtlTypeRoomBedQuery implements Query
{
    public function __construct(
        private int $status,
        private int $idHtlTypeRoom,
        private int $idHtlBed,
    ) {
    }

    public function status(): int
    {
        return $this->status;
    }

    public function idHtlTypeRoom(): int
    {
        return $this->idHtlTypeRoom;
    }

    public function idHtlBed(): int
    {
        return $this->idHtlBed;
    }
}
